/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <buildmessage.h>
#include <materialadapter.h>
#include <syntaxhighlighter.h>
#include <uniformmodel.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_MaterialEditorHelpers()
{
    qmlRegisterTypesAndRevisions<MaterialAdapter>("MaterialEditorHelpers", 1);
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QSyntaxHighlighter *>().id();
    qmlRegisterTypesAndRevisions<ShaderBuildMessage>("MaterialEditorHelpers", 1);
    QMetaType::fromType<ShaderBuildMessage>().id();
    qmlRegisterNamespaceAndRevisions(&ShaderBuildMessage::staticMetaObject, "MaterialEditorHelpers", 1, nullptr, &ShaderEnums::staticMetaObject, nullptr);
    qmlRegisterTypesAndRevisions<SyntaxHighlighter>("MaterialEditorHelpers", 1);
    qmlRegisterTypesAndRevisions<UniformModel>("MaterialEditorHelpers", 1);
    qmlRegisterAnonymousType<QAbstractItemModel, 254>("MaterialEditorHelpers", 1);
    qmlRegisterModule("MaterialEditorHelpers", 1, 0);
}

static const QQmlModuleRegistration registration("MaterialEditorHelpers", qml_register_types_MaterialEditorHelpers);
